#include <iostream>
#include<vector>
using namespace std;

int main()
{
    int n,m=0,p=0,p2=0;
    cin>>n;
    vector<int>a(n);
    vector<int>b(n);
    for(int i=0;i<n;i++)
    {cin>>a[i];
    if(a[i]!=1)p=1;}
        for(int i=0;i<n;i++)
        {cin>>b[i];

    if(b[i]!=1)p2=1;
    if(b[i]>m)m=b[i];}
    if(p==0)cout<<m;
    else{










    }
    return 0;
}